package com.baidu.oauth.demo;

import android.app.Dialog;
import android.content.Context;
import android.graphics.Bitmap;
import android.text.TextUtils;
import android.widget.ImageView;
import android.widget.TextView;

/**
 * Created by zhanglongping on 19/1/12.
 */
public class QrCodeImageDialog extends Dialog {

    private ImageView qrCodeImageView;
    private TextView title;

    public QrCodeImageDialog(Context context) {
        this(context, R.style.BeautyDialog);
        init();
    }

    public QrCodeImageDialog(Context context, int themeResId) {
        super(context, themeResId);
        init();
    }

    protected QrCodeImageDialog(Context context, boolean cancelable, OnCancelListener cancelListener) {
        super(context, cancelable, cancelListener);
        init();
    }

    public void init() {
        setContentView(R.layout.layout_qrcode_image_dialog);
        qrCodeImageView = (ImageView) findViewById(R.id.sapi_iv_qrcode_image);
        title = (TextView) findViewById(R.id.title);
    }

    public void setQrCodeBitmap(Bitmap qrCodeBitmap) {
        if (qrCodeBitmap != null) {
            this.qrCodeImageView.setImageBitmap(qrCodeBitmap);
        }
    }


    public void setTitle(String title) {
        if (!TextUtils.isEmpty(title)) {
            this.title.setText(title);
        }

    }

}
