package com.baidu.oauth.demo.utils;

import android.graphics.Bitmap;

import com.baidu.oauth.sdk.utils.Log;
import com.google.zxing.BarcodeFormat;
import com.google.zxing.MultiFormatWriter;
import com.google.zxing.common.BitMatrix;

public class Utility {


    public static Bitmap createBitmap(String str) {
        Bitmap bitmap = null;
        BitMatrix bitMatrix = null;
        MultiFormatWriter multiFormatWriter = new MultiFormatWriter();
        try {
            bitMatrix = multiFormatWriter.encode(str, BarcodeFormat.QR_CODE, 400, 400);
            final int whiteColor = 0xFFFFFFFF;
            final int blackColor = 0xFF000000;

            int width = bitMatrix.getWidth();
            int height = bitMatrix.getHeight();
            int[] pixels = new int[width * height];
            for (int y = 0; y < height; y++) {
                int offset = y * width;
                for (int x = 0; x < width; x++) {
                    pixels[offset + x] = bitMatrix.get(x, y) ? blackColor : whiteColor;
                }
            }
            bitmap = Bitmap.createBitmap(width, height, Bitmap.Config.ARGB_8888);
            bitmap.setPixels(pixels, 0, width, 0, 0, width, height);
            return bitmap;
        } catch (Exception e) {
            Log.e(e.getMessage());
        }
        return bitmap;
    }
}
