package com.baidu.oauth.demo.utils;

import android.app.Activity;
import android.app.Dialog;
import android.view.Gravity;
import android.widget.Toast;

import com.baidu.oauth.demo.OauthDemoApplication;
import com.baidu.oauth.sdk.utils.Log;

public class ViewUtility {

    private ViewUtility() {
    }

    public static void showToast(int resId) {
        Toast toast = Toast.makeText(OauthDemoApplication.getInstance(), resId, Toast.LENGTH_SHORT);
        toast.setGravity(Gravity.CENTER, 0, 0);
        toast.show();
    }

    public static void showToast(String msg) {
        Toast toast = Toast.makeText(OauthDemoApplication.getInstance(), msg, Toast.LENGTH_SHORT);
        toast.setGravity(Gravity.CENTER, 0, 0);
        toast.show();
    }

    /**
     * 安全关闭对话框。
     *
     * @param activity {@link Activity}
     * @param dialog {@link Dialog}
     */
    public static void dismissDialog(Activity activity, Dialog dialog) {

        if (activity == null) {
            throw new IllegalArgumentException("Activity must not be null");
        }
        if (dialog != null && !activity.isFinishing() && dialog.isShowing()) {
            try {
                dialog.dismiss();
            } catch (Exception e) {
                Log.e(e);
            }
        }
    }
}
