package com.baidu.oauth.demo.view;


import android.app.Dialog;
import android.content.Context;
import android.view.View;
import android.widget.TextView;
import android.widget.ViewSwitcher;

import com.baidu.oauth.demo.R;

public class CustomAlertDialog extends Dialog {

    private ViewSwitcher viewSwitcher;
    private TextView titleText;
    private TextView msgText;
    private TextView positiveBtn;
    private TextView negativeBtn;
    private TextView neutralBtn;

    public CustomAlertDialog(Context context) {
        super(context, R.style.BeautyDialog);
        init();
    }

    public CustomAlertDialog(Context context, int theme) {
        super(context, theme);
        init();
    }

    public CustomAlertDialog(Context context, boolean cancelable, OnCancelListener cancelListener) {
        super(context, cancelable, cancelListener);
        init();
    }

    private void init() {

        setContentView(R.layout.layout_dialog_alert);
        setCanceledOnTouchOutside(false);
        viewSwitcher = (ViewSwitcher) findViewById(R.id.view_switcher);
        titleText = (TextView) findViewById(R.id.title_text);
        msgText = (TextView) findViewById(R.id.msg_text);
        positiveBtn = (TextView) findViewById(R.id.positive_btn);
        negativeBtn = (TextView) findViewById(R.id.negative_btn);
        neutralBtn = (TextView) findViewById(R.id.neutral_btn);
    }

    public void setBtnCount(int btnCount) {
        btnCount = btnCount < 1 ? 1 : btnCount > 2 ? 2 : btnCount;
        if (btnCount == 2) {
            viewSwitcher.setDisplayedChild(0);
        } else {
            viewSwitcher.setDisplayedChild(1);
        }
    }

    public void setTitleText(String title) {
        titleText.setText(title);
    }

    public void setTitleVisible(int visible) {
        titleText.setVisibility(visible);
    }

    public void setMessageText(final String msg) {
        msgText.setText(msg);
    }

    public void setMessageVisible(int visible) {
        msgText.setVisibility(visible);
    }

    public void setPositiveBtn(final String btnText, View.OnClickListener onClickListener) {
        positiveBtn.setText(btnText);
        positiveBtn.setOnClickListener(onClickListener);
    }

    public void setNegativeBtn(final String btnText, View.OnClickListener onClickListener) {
        negativeBtn.setText(btnText);
        negativeBtn.setOnClickListener(onClickListener);
    }

    public void setNeutralBtn(final String btnText, View.OnClickListener onClickListener) {
        neutralBtn.setText(btnText);
        neutralBtn.setOnClickListener(onClickListener);
    }
}
